package com.bgy.sms.channel.api;


import com.alibaba.fastjson.JSONObject;
import com.bgy.sms.channel.bgy.dto.TemplateNotify;
import com.bgy.sms.channel.bgy.dto.ReportDto;
import com.bgy.sms.channel.bgy.service.BgySmsService;
import com.bgy.sms.channel.dto.BGYResponse;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

@RequestMapping("/byg/")
@RestController
public class BgyApi {

    private static final Logger log = LoggerFactory.getLogger(BgyApi.class);

    @Autowired
    private BgySmsService bgySmsService;

    @PostMapping("/templateNotify")
    public BGYResponse notify(@RequestBody TemplateNotify templateNotify) {
        log.info("碧桂园异步通知接口入参：{}", JSONObject.toJSONString(templateNotify));
        BGYResponse response = null;
        try {
            response = bgySmsService.asyncNotify(templateNotify);
        } catch (Exception e) {
            log.error("处理创建模板异步通知异常：", e);
            response = new BGYResponse(500, "系统异常");
        }
        log.info("碧桂园异步通知接口出参：{}", JSONObject.toJSONString(response));
        return response;
    }

}
